zenilib: ALCcontext_struct Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
ALCcontext_struct Struct Reference

`#include <alMain.h>`

## Public Attributes

ALsizei | ActiveEffectSlotCount
struct ALeffectslot ** | ActiveEffectSlots
ALsizei | ActiveSourceCount
struct ALsource ** | ActiveSources
volatile ALenum | DeferUpdates
ALCdevice * | Device
enum DistanceModel | DistanceModel
volatile ALfloat | DopplerFactor
volatile ALfloat | DopplerVelocity
UIntMap | EffectSlotMap
const ALCchar * | ExtensionList
ALenum | LastError
struct ALlistener * | Listener
ALsizei | MaxActiveEffectSlots
ALsizei | MaxActiveSources
ALCcontext *volatile | next
volatile RefCount | ref
volatile ALboolean | SourceDistanceModel
UIntMap | SourceMap
volatile ALfloat | SpeedOfSound
volatile ALenum | UpdateSources

## Detailed Description

Definition at line 675 of file alMain.h.

## Member Data Documentation

ALsizei ALCcontext_struct::ActiveEffectSlotCount

Definition at line 701 of file alMain.h.

Referenced by AddEffectSlotArray(), alDeferUpdatesSOFT(), aluMixData(), FreeContext(), and RemoveEffectSlotArray().

struct ALeffectslot** ALCcontext_struct::ActiveEffectSlots

Definition at line 700 of file alMain.h.

Referenced by AddEffectSlotArray(), alDeferUpdatesSOFT(), aluMixData(), FreeContext(), and RemoveEffectSlotArray().

ALsizei ALCcontext_struct::ActiveSourceCount

Definition at line 697 of file alMain.h.

Referenced by alDeferUpdatesSOFT(), alDeleteSources(), alSourcePlayv(), aluHandleDisconnect(), aluMixData(), FreeContext(), InitContext(), and SetSourceState().

struct ALsource** ALCcontext_struct::ActiveSources

Definition at line 696 of file alMain.h.

Referenced by alcCreateContext(), alDeferUpdatesSOFT(), alDeleteSources(), alSourcePlayv(), aluHandleDisconnect(), aluMixData(), FreeContext(), and SetSourceState().

volatile ALenum ALCcontext_struct::DeferUpdates

Definition at line 694 of file alMain.h.

Referenced by alDeferUpdatesSOFT(), alGetBoolean(), alGetDouble(), alGetFloat(), alGetInteger(), alProcessUpdatesSOFT(), alSourcePausev(), alSourcePlayv(), aluMixData(), InitContext(), SetSourcefv(), and SetSourceiv().

ALCdevice* ALCcontext_struct::Device

Definition at line 704 of file alMain.h.

Referenced by alAuxiliaryEffectSloti(), alBuffer3f(), alBuffer3i(), alBufferData(), alBufferf(), alBufferfv(), alBufferi(), alBufferiv(), alBufferSamplesSOFT(), alBufferSubDataSOFT(), alBufferSubSamplesSOFT(), alcCreateContext(), alcGetContextsDevice(), alDeferUpdatesSOFT(), alDeleteBuffers(), alDeleteEffects(), alDeleteFilters(), alEffectf(), alEffectfv(), alEffecti(), alEffectiv(), alFilterf(), alFilterfv(), alFilteri(), alFilteriv(), alGenBuffers(), alGenEffects(), alGenFilters(), alGetBuffer3f(), alGetBuffer3i(), alGetBufferf(), alGetBufferfv(), alGetBufferi(), alGetBufferiv(), alGetBufferSamplesSOFT(), alGetEffectf(), alGetEffectfv(), alGetEffecti(), alGetEffectiv(), alGetFilterf(), alGetFilterfv(), alGetFilteri(), alGetFilteriv(), alIsBuffer(), alIsEffect(), alIsFilter(), alSourceQueueBuffers(), CalcNonAttnSourceParams(), CalcSourceParams(), FreeContext(), GetSourcedv(), GetSourcei64v(), InitContext(), LockContext(), SetSourceiv(), SetSourceState(), and UnlockContext().

enum DistanceModel ALCcontext_struct::DistanceModel

Definition at line 688 of file alMain.h.

Referenced by alDistanceModel(), alGetBoolean(), alGetDouble(), alGetFloat(), alGetInteger(), CalcSourceParams(), and InitContext().

volatile ALfloat ALCcontext_struct::DopplerFactor

Definition at line 691 of file alMain.h.

Referenced by alDopplerFactor(), alGetBoolean(), alGetDouble(), alGetFloat(), alGetInteger(), CalcSourceParams(), and InitContext().

volatile ALfloat ALCcontext_struct::DopplerVelocity

Definition at line 692 of file alMain.h.

Referenced by alDopplerVelocity(), alGetBoolean(), alGetDouble(), alGetFloat(), alGetInteger(), CalcSourceParams(), and InitContext().

UIntMap ALCcontext_struct::EffectSlotMap

Definition at line 682 of file alMain.h.

Referenced by alGenAuxiliaryEffectSlots(), FreeContext(), InitContext(), ReleaseALAuxiliaryEffectSlots(), and UpdateDeviceParams().

const ALCchar* ALCcontext_struct::ExtensionList

Definition at line 705 of file alMain.h.

Referenced by alGetString(), alIsExtensionPresent(), and InitContext().

ALenum ALCcontext_struct::LastError

Definition at line 684 of file alMain.h.

Referenced by alGetError(), alSetError(), and InitContext().

struct ALlistener* ALCcontext_struct::Listener

Definition at line 679 of file alMain.h.

Referenced by alcCreateContext(), alGetListener3f(), alGetListener3i(), alGetListenerf(), alGetListenerfv(), alGetListeneriv(), alListener3f(), alListenerf(), alListenerfv(), aluMixData(), CalcNonAttnSourceParams(), CalcSourceParams(), and InitContext().

ALsizei ALCcontext_struct::MaxActiveEffectSlots

Definition at line 702 of file alMain.h.

Referenced by AddEffectSlotArray(), and FreeContext().

ALsizei ALCcontext_struct::MaxActiveSources

Definition at line 698 of file alMain.h.

Referenced by alcCreateContext(), alSourcePlayv(), and FreeContext().

ALCcontext* volatile ALCcontext_struct::next

Definition at line 707 of file alMain.h.

Referenced by alcCreateContext(), aluHandleDisconnect(), aluMixData(), ReleaseContext(), UpdateDeviceParams(), and VerifyContext().

volatile RefCount ALCcontext_struct::ref

Definition at line 677 of file alMain.h.

Referenced by ALCcontext_DecRef(), ALCcontext_IncRef(), and alcCreateContext().

volatile ALboolean ALCcontext_struct::SourceDistanceModel

Definition at line 689 of file alMain.h.

Referenced by alDisable(), alDistanceModel(), alEnable(), alIsEnabled(), CalcSourceParams(), InitContext(), and SetSourceiv().

UIntMap ALCcontext_struct::SourceMap

Definition at line 681 of file alMain.h.

Referenced by alGenSources(), alProcessUpdatesSOFT(), FreeContext(), InitContext(), ReleaseALSources(), and UpdateDeviceParams().

volatile ALfloat ALCcontext_struct::SpeedOfSound

Definition at line 693 of file alMain.h.

Referenced by alGetBoolean(), alGetDouble(), alGetFloat(), alGetInteger(), alSpeedOfSound(), CalcSourceParams(), and InitContext().

volatile ALenum ALCcontext_struct::UpdateSources

Definition at line 686 of file alMain.h.

Referenced by alAuxiliaryEffectSloti(), alDeferUpdatesSOFT(), alDisable(), alDistanceModel(), alDopplerFactor(), alDopplerVelocity(), alEnable(), alListener3f(), alListenerf(), alListenerfv(), alSpeedOfSound(), aluMixData(), InitContext(), and UpdateDeviceParams().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/openal-soft/OpenAL32/Include/alMain.h